<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:15 CET 2019 -->
<title>Utils</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Utils";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Utils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../utils/LoggingUtils.html" title="class in utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../utils/XMLUtils.html" title="class in utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/Utils.html" target="_top">Frames</a></li>
<li><a href="Utils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">utils</div>
<h2 title="Class Utils" class="title">Class Utils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>utils.Utils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Utils</span>
extends java.lang.Object</pre>
<div class="block">Utility class of refinement plugin.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>frborn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#checkIfFileExists-java.lang.String-">checkIfFileExists</a></span>(java.lang.String&nbsp;filePath)</code>
<div class="block">Check if file of given filePath exists.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.ui.dialogs.ListSelectionDialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#createStringSelectionDialog-java.lang.String-java.lang.String-org.eclipse.ui.IWorkbenchWindow-org.eclipse.emf.common.util.EList-">createStringSelectionDialog</a></span>(java.lang.String&nbsp;dialogTitle,
                           java.lang.String&nbsp;dialogInfo,
                           org.eclipse.ui.IWorkbenchWindow&nbsp;window,
                           org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;availableOptions)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#extractComponentName-org.w3c.dom.Node-">extractComponentName</a></span>(org.w3c.dom.Node&nbsp;service)</code>
<div class="block">Extract component name from attribute "name" of "service" element.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#fileExists-org.eclipse.core.resources.IFolder-java.lang.String-">fileExists</a></span>(org.eclipse.core.resources.IFolder&nbsp;ifolder,
          java.lang.String&nbsp;fileName)</code>
<div class="block">Check if fileName exists as file in given IFolder.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.core.resources.IFile&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getAllIFiles-org.eclipse.core.resources.IFolder-">getAllIFiles</a></span>(org.eclipse.core.resources.IFolder&nbsp;iFolder)</code>
<div class="block">Return all IFiles that are directly located in given IFolder.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getComponentNames-org.eclipse.core.resources.IFolder-">getComponentNames</a></span>(org.eclipse.core.resources.IFolder&nbsp;iFolder)</code>
<div class="block">Return all component names that are extracted of "component.xml" of source sub folders
 following the assumption, that all components of the performance model must contain such a
 BasicComponent.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static org.eclipse.core.resources.IFile</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getCorrespondingFile-org.eclipse.core.resources.IFolder-java.lang.String-int-">getCorrespondingFile</a></span>(org.eclipse.core.resources.IFolder&nbsp;folder,
                    java.lang.String&nbsp;extension,
                    int&nbsp;lookupIndex)</code>
<div class="block">Find file in given folder with given extension.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getFileName-org.eclipse.core.resources.IFile-">getFileName</a></span>(org.eclipse.core.resources.IFile&nbsp;pcmFile)</code>
<div class="block">Split fileName of format *.{PCM} at "." and return {PCM}.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.core.resources.IFileState[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getFileStates-org.eclipse.core.resources.IFile-">getFileStates</a></span>(org.eclipse.core.resources.IFile&nbsp;iFile)</code>
<div class="block">Return the file state history of given IFile.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static java.util.Map&lt;java.lang.String,org.eclipse.core.resources.IFolder&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getFolders-org.eclipse.core.commands.ExecutionEvent-">getFolders</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</code>
<div class="block">Create HashMap for "pcm", "src", "refinement" and "extracted" folder as iFolder.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.eclipse.core.resources.IProject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getIProject-org.eclipse.core.commands.ExecutionEvent-">getIProject</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</code>
<div class="block">Return selected project when executing an event.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static org.eclipse.core.resources.IFolder</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getPCMIFolder-org.eclipse.core.resources.IProject-java.lang.String-">getPCMIFolder</a></span>(org.eclipse.core.resources.IProject&nbsp;iProject,
             java.lang.String&nbsp;folderName)</code>
<div class="block">Get PCM IFolder that is located under project/refinement_pcms/{folderName}</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static org.eclipse.core.runtime.IPath</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#getSelectedProject-org.eclipse.core.commands.ExecutionEvent-">getSelectedProject</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</code>
<div class="block">Return the file state history of given IFile.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#loadFromFileState-org.eclipse.core.resources.IFileState:A-org.eclipse.emf.ecore.resource.Resource-">loadFromFileState</a></span>(org.eclipse.core.resources.IFileState[]&nbsp;states,
                 org.eclipse.emf.ecore.resource.Resource&nbsp;resource)</code>
<div class="block">Load latest content of states (match: states[0]) to given resource.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static refinement.model.refinements.Refinements</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#loadRefinements-org.eclipse.core.resources.IFile-">loadRefinements</a></span>(org.eclipse.core.resources.IFile&nbsp;refinementFile)</code>
<div class="block">Load refinement from IFile.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static org.palladiosimulator.pcm.repository.Repository</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#loadRepository-java.lang.String-">loadRepository</a></span>(java.lang.String&nbsp;filePath)</code>
<div class="block">Create ResourceSet with content of given filePath, parse it to
 org.palladiosimulator.pcm.repository.Repository and return that Repository.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static org.palladiosimulator.pcm.system.System</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#loadSystem-java.lang.String-">loadSystem</a></span>(java.lang.String&nbsp;filePath)</code>
<div class="block">Create ResourceSet with content of given filePath, parse it to
 org.palladiosimulator.pcm.repository.Repository and return that Repository.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#openStringSelectionDialog-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-java.lang.String-java.lang.String-">openStringSelectionDialog</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                         org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;availableOptions,
                         java.lang.String&nbsp;selectionDialog,
                         java.lang.String&nbsp;dialogInfo)</code>
<div class="block">Open ListSelectionDialog that contains all options as strings.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#refinementIndexOfComponent-org.eclipse.core.resources.IFile-java.lang.String-">refinementIndexOfComponent</a></span>(org.eclipse.core.resources.IFile&nbsp;refinementFile,
                          java.lang.String&nbsp;componentName)</code>
<div class="block">Return index of refinement that contains componentNames.toLowerCase in valueStates.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#repositoryIndexOfComponent-org.eclipse.emf.common.util.EList-java.lang.String-">repositoryIndexOfComponent</a></span>(org.eclipse.emf.common.util.EList&lt;org.palladiosimulator.pcm.repository.RepositoryComponent&gt;&nbsp;components,
                          java.lang.String&nbsp;componentName)</code>
<div class="block">Index of repository_BasicComponent with an entityName that matches componentName.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#repositoryIndexOfCreatedComponent-org.eclipse.emf.common.util.EList-java.lang.String-">repositoryIndexOfCreatedComponent</a></span>(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;components,
                                 java.lang.String&nbsp;componentName)</code>
<div class="block">Index of component with an entityName that matches componentName.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#saveRepository-org.eclipse.core.resources.IFile-org.palladiosimulator.pcm.repository.Repository-">saveRepository</a></span>(org.eclipse.core.resources.IFile&nbsp;repositoryFile,
              org.palladiosimulator.pcm.repository.Repository&nbsp;repository)</code>
<div class="block">Save repository as IFile.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/Utils.html#saveResource-org.eclipse.emf.ecore.resource.Resource-">saveResource</a></span>(org.eclipse.emf.ecore.resource.Resource&nbsp;resource)</code>
<div class="block">Save given Resource.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFolders-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFolders</h4>
<pre>public static&nbsp;java.util.Map&lt;java.lang.String,org.eclipse.core.resources.IFolder&gt;&nbsp;getFolders(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</pre>
<div class="block">Create HashMap for "pcm", "src", "refinement" and "extracted" folder as iFolder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>HashMap with keys: "pcm", "src", "refinement", "extracted"</dd>
</dl>
</li>
</ul>
<a name="checkIfFileExists-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkIfFileExists</h4>
<pre>public&nbsp;boolean&nbsp;checkIfFileExists(java.lang.String&nbsp;filePath)</pre>
<div class="block">Check if file of given filePath exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filePath</code> - file path as string</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="saveResource-org.eclipse.emf.ecore.resource.Resource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveResource</h4>
<pre>public static&nbsp;void&nbsp;saveResource(org.eclipse.emf.ecore.resource.Resource&nbsp;resource)</pre>
<div class="block">Save given Resource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resource</code> - Resource to save</dd>
</dl>
</li>
</ul>
<a name="getSelectedProject-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedProject</h4>
<pre>public static&nbsp;org.eclipse.core.runtime.IPath&nbsp;getSelectedProject(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</pre>
<div class="block">Return the file state history of given IFile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IFileState[]</dd>
</dl>
</li>
</ul>
<a name="getFileStates-org.eclipse.core.resources.IFile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileStates</h4>
<pre>public static&nbsp;org.eclipse.core.resources.IFileState[]&nbsp;getFileStates(org.eclipse.core.resources.IFile&nbsp;iFile)</pre>
<div class="block">Return the file state history of given IFile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iFile</code> - file to get states from</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IFileState[]</dd>
</dl>
</li>
</ul>
<a name="loadFromFileState-org.eclipse.core.resources.IFileState:A-org.eclipse.emf.ecore.resource.Resource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFromFileState</h4>
<pre>public static&nbsp;void&nbsp;loadFromFileState(org.eclipse.core.resources.IFileState[]&nbsp;states,
                                     org.eclipse.emf.ecore.resource.Resource&nbsp;resource)</pre>
<div class="block">Load latest content of states (match: states[0]) to given resource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>states</code> - file states</dd>
<dd><code>resource</code> - Resource to load from</dd>
</dl>
</li>
</ul>
<a name="getPCMIFolder-org.eclipse.core.resources.IProject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPCMIFolder</h4>
<pre>public static&nbsp;org.eclipse.core.resources.IFolder&nbsp;getPCMIFolder(org.eclipse.core.resources.IProject&nbsp;iProject,
                                                               java.lang.String&nbsp;folderName)</pre>
<div class="block">Get PCM IFolder that is located under project/refinement_pcms/{folderName}</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iProject</code> - current project</dd>
<dd><code>folderName</code> - name of folder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IFolder</dd>
</dl>
</li>
</ul>
<a name="getIProject-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIProject</h4>
<pre>public static&nbsp;org.eclipse.core.resources.IProject&nbsp;getIProject(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</pre>
<div class="block">Return selected project when executing an event.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>selected project as IProject</dd>
</dl>
</li>
</ul>
<a name="getAllIFiles-org.eclipse.core.resources.IFolder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllIFiles</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.core.resources.IFile&gt;&nbsp;getAllIFiles(org.eclipse.core.resources.IFolder&nbsp;iFolder)</pre>
<div class="block">Return all IFiles that are directly located in given IFolder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iFolder</code> - folder to get all files from</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all IFiles that are located in given IFolder</dd>
</dl>
</li>
</ul>
<a name="getComponentNames-org.eclipse.core.resources.IFolder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentNames</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;getComponentNames(org.eclipse.core.resources.IFolder&nbsp;iFolder)</pre>
<div class="block">Return all component names that are extracted of "component.xml" of source sub folders
 following the assumption, that all components of the performance model must contain such a
 BasicComponent.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iFolder</code> - Folder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all component names</dd>
</dl>
</li>
</ul>
<a name="getFileName-org.eclipse.core.resources.IFile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileName</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getFileName(org.eclipse.core.resources.IFile&nbsp;pcmFile)</pre>
<div class="block">Split fileName of format *.{PCM} at "." and return {PCM}.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pcmFile</code> - Current PCM file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>file name</dd>
</dl>
</li>
</ul>
<a name="getCorrespondingFile-org.eclipse.core.resources.IFolder-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCorrespondingFile</h4>
<pre>public static&nbsp;org.eclipse.core.resources.IFile&nbsp;getCorrespondingFile(org.eclipse.core.resources.IFolder&nbsp;folder,
                                                                    java.lang.String&nbsp;extension,
                                                                    int&nbsp;lookupIndex)</pre>
<div class="block">Find file in given folder with given extension. Uses lookupIndex to split the file name and
 look at index for given file extension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>folder</code> - Folder too search in</dd>
<dd><code>extension</code> - Extension of file to search for</dd>
<dd><code>lookupIndex</code> - Split index of where the extension is located</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IFile that matches extension</dd>
</dl>
</li>
</ul>
<a name="loadRepository-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadRepository</h4>
<pre>public static&nbsp;org.palladiosimulator.pcm.repository.Repository&nbsp;loadRepository(java.lang.String&nbsp;filePath)</pre>
<div class="block">Create ResourceSet with content of given filePath, parse it to
 org.palladiosimulator.pcm.repository.Repository and return that Repository.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filePath</code> - path name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>org.palladiosimulator.pcm.repository.Repository</dd>
</dl>
</li>
</ul>
<a name="loadSystem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadSystem</h4>
<pre>public static&nbsp;org.palladiosimulator.pcm.system.System&nbsp;loadSystem(java.lang.String&nbsp;filePath)</pre>
<div class="block">Create ResourceSet with content of given filePath, parse it to
 org.palladiosimulator.pcm.repository.Repository and return that Repository.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filePath</code> - path name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>org.palladiosimulator.pcm.system.System</dd>
</dl>
</li>
</ul>
<a name="repositoryIndexOfComponent-org.eclipse.emf.common.util.EList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>repositoryIndexOfComponent</h4>
<pre>public static&nbsp;java.lang.Integer&nbsp;repositoryIndexOfComponent(org.eclipse.emf.common.util.EList&lt;org.palladiosimulator.pcm.repository.RepositoryComponent&gt;&nbsp;components,
                                                           java.lang.String&nbsp;componentName)</pre>
<div class="block">Index of repository_BasicComponent with an entityName that matches componentName. Returns -1
 if no component exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>components</code> - Components of Repository</dd>
<dd><code>componentName</code> - component name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>index of BasicComponent</dd>
</dl>
</li>
</ul>
<a name="repositoryIndexOfCreatedComponent-org.eclipse.emf.common.util.EList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>repositoryIndexOfCreatedComponent</h4>
<pre>public static&nbsp;java.lang.Integer&nbsp;repositoryIndexOfCreatedComponent(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;components,
                                                                  java.lang.String&nbsp;componentName)</pre>
<div class="block">Index of component with an entityName that matches componentName. Returns -1 if no component
 exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>components</code> - Components of Repository</dd>
<dd><code>componentName</code> - component name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>index of component</dd>
</dl>
</li>
</ul>
<a name="saveRepository-org.eclipse.core.resources.IFile-org.palladiosimulator.pcm.repository.Repository-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRepository</h4>
<pre>public static&nbsp;void&nbsp;saveRepository(org.eclipse.core.resources.IFile&nbsp;repositoryFile,
                                  org.palladiosimulator.pcm.repository.Repository&nbsp;repository)</pre>
<div class="block">Save repository as IFile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>repositoryFile</code> - repository IFile</dd>
<dd><code>repository</code> - modified Repository object</dd>
</dl>
</li>
</ul>
<a name="extractComponentName-org.w3c.dom.Node-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extractComponentName</h4>
<pre>public static&nbsp;java.lang.String&nbsp;extractComponentName(org.w3c.dom.Node&nbsp;service)</pre>
<div class="block">Extract component name from attribute "name" of "service" element.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>service</code> - service node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String value of "name" attribute of service</dd>
</dl>
</li>
</ul>
<a name="refinementIndexOfComponent-org.eclipse.core.resources.IFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refinementIndexOfComponent</h4>
<pre>public static&nbsp;java.lang.Integer&nbsp;refinementIndexOfComponent(org.eclipse.core.resources.IFile&nbsp;refinementFile,
                                                           java.lang.String&nbsp;componentName)</pre>
<div class="block">Return index of refinement that contains componentNames.toLowerCase in valueStates. Returns
 -1 if no component exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refinementFile</code> - IFile refinement file</dd>
<dd><code>componentName</code> - component name string</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>index of Refinement</dd>
</dl>
</li>
</ul>
<a name="loadRefinements-org.eclipse.core.resources.IFile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadRefinements</h4>
<pre>public static&nbsp;refinement.model.refinements.Refinements&nbsp;loadRefinements(org.eclipse.core.resources.IFile&nbsp;refinementFile)</pre>
<div class="block">Load refinement from IFile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refinementFile</code> - IFile refinement file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Refinements Loaded Refinements</dd>
</dl>
</li>
</ul>
<a name="fileExists-org.eclipse.core.resources.IFolder-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileExists</h4>
<pre>public static&nbsp;boolean&nbsp;fileExists(org.eclipse.core.resources.IFolder&nbsp;ifolder,
                                 java.lang.String&nbsp;fileName)</pre>
<div class="block">Check if fileName exists as file in given IFolder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ifolder</code> - Folder to search in</dd>
<dd><code>fileName</code> - file name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="createStringSelectionDialog-java.lang.String-java.lang.String-org.eclipse.ui.IWorkbenchWindow-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStringSelectionDialog</h4>
<pre>public static&nbsp;org.eclipse.ui.dialogs.ListSelectionDialog&nbsp;createStringSelectionDialog(java.lang.String&nbsp;dialogTitle,
                                                                                     java.lang.String&nbsp;dialogInfo,
                                                                                     org.eclipse.ui.IWorkbenchWindow&nbsp;window,
                                                                                     org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;availableOptions)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dialogTitle</code> - title of selectionDialog</dd>
<dd><code>dialogInfo</code> - information of selectionDialog</dd>
<dd><code>window</code> - Current workbench</dd>
<dd><code>availableOptions</code> - selection options</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ListSelectionDialog selectionDialog object</dd>
</dl>
</li>
</ul>
<a name="openStringSelectionDialog-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>openStringSelectionDialog</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;openStringSelectionDialog(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                                                                                            org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;availableOptions,
                                                                                            java.lang.String&nbsp;selectionDialog,
                                                                                            java.lang.String&nbsp;dialogInfo)
                                                                                     throws org.eclipse.core.commands.ExecutionException</pre>
<div class="block">Open ListSelectionDialog that contains all options as strings. All selected options are added
 to selectedOptions after confirmation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event</dd>
<dd><code>availableOptions</code> - selection options</dd>
<dd><code>dialogInfo</code> - information for selectionDialog</dd>
<dd><code>selectionDialog</code> - selection dialog name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all selected options of dialog.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code> - for getActiveWorkbenchWindowChecked</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Utils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../utils/LoggingUtils.html" title="class in utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../utils/XMLUtils.html" title="class in utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/Utils.html" target="_top">Frames</a></li>
<li><a href="Utils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
